namespace net.sql {

public class BatchUpdateException : SQLException {

  private int[] updateCounts;

  public BatchUpdateException(int[] updateCounts) : base() {
    this.updateCounts = updateCounts;
  }

  public BatchUpdateException() : base() {
    this.updateCounts = null;
  }

  public int[] getUpdateCounts() {
    return updateCounts;
  }
}

}
