namespace net.sql {

public interface Blob {
  // throws SQLException
  long length();

  // throws SQLException
  sbyte[] getBytes(long pos, int length);

  // throws SQLException
  System.IO.BinaryReader getBinaryStream();

  // throws SQLException
  long position(sbyte[] pattern, long start);

  // throws SQLException
  long position(Blob pattern, long start);

  // throws SQLException
  int setBytes(long pos, sbyte[] bytes);

  // throws SQLException
  int setBytes(long pos, sbyte[] bytes, int offset, int len);

  // throws SQLException
  System.IO.BinaryWriter setBinaryStream(long pos);

  // throws SQLException
  void truncate(long len);
}

}
