namespace net.sql {

public interface Driver {

  // throws SQLException
  Connection connect(string url,
                     System.Collections.Hashtable info);

  // throws SQLException
  bool acceptsURL(string url);

  // throws SQLException
  DriverPropertyInfo[] getPropertyInfo(string url,
                                       System.Collections.Hashtable info);

  int getMajorVersion();

  int getMinorVersion();

  bool jdbcCompliant();
}

}
