namespace netx.sql {

using System;
using net.sql;

public interface ConnectionPoolDataSource {

  // throws SQLException
  PooledConnection getPooledConnection();

  // throws SQLException
  PooledConnection getPooledConnection(string user, string password);

  // throws SQLException
  System.IO.TextWriter getLogWriter();

  // throws SQLException
  void setLogWriter(System.IO.TextWriter out_);

  // throws SQLException
  void setLoginTimeout(int seconds);

  // throws SQLException
  int getLoginTimeout();
}

}
