namespace netx.sql {

using System;
using net.sql;

public interface PooledConnection {

  // throws SQLException
  Connection getConnection();

  // throws SQLException
  void close();

  void addConnectionEventListener(ConnectionEventListener listener);

  void removeConnectionEventListener(ConnectionEventListener listener);

}

}
