namespace netx.sql {

using System;
using net.sql;

public interface RowSetMetaData : ResultSetMetaData {

  // throws SQLException
  void setColumnCount(int columnCount);

  // throws SQLException
  void setAutoIncrement(int columnIndex, bool property);

  // throws SQLException
  void setCaseSensitive(int columnIndex, bool property);

  // throws SQLException
  void setSearchable(int columnIndex, bool property);

  // throws SQLException
  void setCurrency(int columnIndex, bool property);

  // throws SQLException
  void setNullable(int columnIndex, int property);

  // throws SQLException
  void setSigned(int columnIndex, bool property);

  // throws SQLException
  void setColumnDisplaySize(int columnIndex, int size);

  // throws SQLException
  void setColumnLabel(int columnIndex, string label);

  // throws SQLException
  void setColumnName(int columnIndex, string columnName);

  // throws SQLException
  void setSchemaName(int columnIndex, string schemaName);

  // throws SQLException
  void setPrecision(int columnIndex, int precision);

  // throws SQLException
  void setScale(int columnIndex, int scale);

  // throws SQLException
  void setTableName(int columnIndex, string tableName);

  // throws SQLException
  void setCatalogName(int columnIndex, string catalogName);

  // throws SQLException
  void setColumnType(int columnIndex, int SQLType);

  // throws SQLException
  void setColumnTypeName(int columnIndex, string typeName);
}

}
