namespace test {

using gwe.sql;
using System.IO;

public class MyNativeUnicodeMapper extends gweNativeUnicodeMapper {
  private string enc = "EUC-JP";
  public MyNativeUnicodeMapper() {
  }

  public char[] Native2Unicode(byte[] data) {
    string str = Encoding.GetEncoding(enc).GetString(data, 0, data.Length);
    char[] cbuf = str.ToCharArray();
    return cbuf;
  }

  public byte[] Unicode2Native(char[] data) {
    string str = new string(data);
    return Encoding.GetEncoding(enc).GetBytes(str);
  }
}

}
