namespace net.sql {

public interface Clob {

  // throws SQLException
  long length();

  // throws SQLException
  string getSubString(long pos, int length);

  // throws SQLException
  System.IO.StreamReader getCharacterStream();

  // throws SQLException
  System.IO.BinaryReader getAsciiStream();

  // throws SQLException
  long position(string searchstr, long start);

  // throws SQLException
  long position(Clob searchstr, long start);

  // throws SQLException
  int setString(long pos, string str);

  // throws SQLException
  int setString(long pos, string str, int offset, int len);

  // throws SQLException
  System.IO.BinaryWriter setAsciiStream(long pos);

  // throws SQLException
  System.IO.StreamWriter setCharacterStream(long pos);

  // throws SQLException
  void truncate(long len);
}

}
