namespace net.sql {

public class DataTruncation : SQLWarning {

  private int  index;
  private bool parameter;
  private bool read;
  private int  dataSize;
  private int  transferSize;

  public DataTruncation(int index, bool parameter,
                        bool read, int dataSize,
                        int transferSize) : base("DataTruncation") {
    this.index        = index;
    this.parameter    = parameter;
    this.read         = read;
    this.dataSize     = dataSize;
    this.transferSize = transferSize;
  }

  public int getIndex() {
    return index;
  }

  public bool getParameter() {
    return parameter;
  }

  public bool getRead() {
    return read;
  }

  public int getDataSize() {
    return dataSize;
  }

  public int getTransferSize() {
    return transferSize;
  }
}

}
