namespace net.sql {

public enum ParameterMetaData_parameter {
  ModeUnknown = 0,
  ModeIn      = 1,
  ModeInOut   = 2,
  ModeOut     = 4,
}

public interface ParameterMetaData {

  // throws SQLException
  int getParameterCount();

  // throws SQLException
  int isNullable(int param);

  // throws SQLException
  bool isSigned(int param);

  // throws SQLException
  int getPrecision(int param);

  // throws SQLException
  int getScale(int param);

  // throws SQLException
  int getParameterType(int param);

  // throws SQLException
  string getParameterTypeName(int param);

  // throws SQLException
  string getParameterClassName(int param);

  // throws SQLException
  int getParameterMode(int param);
}

}
