namespace net.sql {

public enum ResultSetMetaData_column {
  NoNulls         = 0,
  Nullable        = 1,
  NullableUnknown = 2,
}

public interface ResultSetMetaData {

  // throws SQLException
  int getColumnCount();

  // throws SQLException
  bool isAutoIncrement(int column);

  // throws SQLException
  bool isCaseSensitive(int column);

  // throws SQLException
  bool isSearchable(int column);

  // throws SQLException
  bool isCurrency(int column);

  // throws SQLException
  int isNullable(int column);

  // throws SQLException
  bool isSigned(int column);

  // throws SQLException
  int getColumnDisplaySize(int column);

  // throws SQLException
  string getColumnLabel(int column);

  // throws SQLException
  string getColumnName(int column);

  // throws SQLException
  string getSchemaName(int column);

  // throws SQLException
  int getPrecision(int column);

  // throws SQLException
  int getScale(int column);

  // throws SQLException
  string getTableName(int column);

  // throws SQLException
  string getCatalogName(int column);

  // throws SQLException
  int getColumnType(int column);

  // throws SQLException
  string getColumnTypeName(int column);

  // throws SQLException
  bool isReadOnly(int column);

  // throws SQLException
  bool isWritable(int column);

  // throws SQLException
  bool isDefinitelyWritable(int column);

  // throws SQLException
  string getColumnClassName(int column);
}

}
