namespace net.sql {

using System;

public class SQLWarning : SQLException {

  public SQLWarning(string reason) : base(reason) {
    DriverManager.println("SQLWarning: reason[" + reason + "]");
  }

  public SQLWarning() : base() {
    DriverManager.println("SQLWarning: ");
  }

  public SQLWarning getNextWarning() {
    try {
      return (SQLWarning)getNextException();
    }
    catch(InvalidCastException ex) {
      throw new Exception("NextWarning is not SQLWarning.");
    }
  }

  public void setNextWarning(SQLWarning w) {
    setNextException(w);
  }
}

}
