namespace netx.sql {

using System;
using net.sql;

public interface DataSource {

  // throws SQLException
  Connection getConnection();

  // throws SQLException
  Connection getConnection(string username, string password);

  // throws SQLException
  System.IO.TextWriter getLogWriter();

  // throws SQLException
  void setLogWriter(System.IO.TextWriter out_);

  // throws SQLException
  void setLoginTimeout(int seconds);

  // throws SQLException
  int getLoginTimeout();
}

}
